package ink.wgink.service.menu.service;

import ink.wgink.interfaces.menu.IMenuBaseService;
import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.dtos.ZTreeDTO;
import ink.wgink.pojo.dtos.menu.MenuDTO;
import ink.wgink.pojo.result.SuccessResult;
import ink.wgink.pojo.result.SuccessResultData;
import ink.wgink.pojo.result.SuccessResultList;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: IMenuService
 * @Description: 菜单
 * @Author: wenc
 * @Date: 2018/12/27 10:18 PM
 * @Version: 1.0
 **/
public interface IMenuService extends IMenuBaseService {

    /**
     * 保存菜单
     *
     * @param params
     * @return
     */
    SuccessResult saveMenu(Map<String, Object> params);

    /**
     * 修改菜单
     *
     * @param params
     * @return
     */
    SuccessResult updateMenu(Map<String, Object> params);

    /**
     * 菜单删除
     *
     * @param params
     * @return
     */
    SuccessResult removeMenu(Map<String, Object> params);

    /**
     * 通过clientId获取菜单
     *
     * @param params
     * @return
     */
    // SuccessResultData<List<MenuDTO>> listMenuByClientId(Map<String, Object> params);

    /**
     * 菜单ID列表
     *
     * @return
     */
    // List<String> listUserMenuId();

    /**
     * 通过clientId和userId获取菜单
     *
     * @param clientId
     * @param userId
     * @return
     */
    // SuccessResultData<List<MenuDTO>> listMenuByClientIdAndUserId(String clientId, String userId);

}
